Update SIP Direction
curl --request POST \
--url https://api.bland.ai/v1/sip/update \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"phone_number": "<string>",
"updates": {}
}
'import requests
url = "https://api.bland.ai/v1/sip/update"
payload = {
"phone_number": "<string>",
"updates": {}
}
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_number: '<string>', updates: {}})
};
fetch('https://api.bland.ai/v1/sip/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"register_password_for_pbx": "<string>"
}SIP Trunks
Update SIP Direction
Update an existing SIP routing direction for a phone number.
POST
/
v1
/
sip
/
update
Update SIP Direction
Headers
string
required
Your API key for authentication.
Body
string
required
The phone number to update. Must be in E.164 format.
object
required
The updated direction object. Must include
type ("inbound" or "outbound").sip_endpoint, options (port, transport, secure_media, sip_username, sip_password), and headers.
For inbound updates, you can modify auth_mode, register_auth, sip_endpoint, options, and headers.
Response
string
Returned when switching to or updating registration-based auth. Configure this password in your PBX.
Example Request
curl -X POST https://api.bland.ai/v1/sip/update \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"phone_number": "+14150000000",
"updates": {
"type": "outbound",
"sip_endpoint": "sip:new.provider.com",
"options": {
"port": 5061,
"transport": "tls",
"secure_media": true
}
}
}'
Docs for agents: llms.txt
Was this page helpful?
⌘I